##### Datas_to_HDD.py
#
#  Save Datas on HDD
#
#  Datas are properties on object "Monolythe"
#
####################################################

# python 3
import GameLogic

# Get owner
controller = GameLogic.getCurrentController()
owner = controller.owner

# get current scene
scene = GameLogic.getCurrentScene()
# set string
scene = str(scene)

# Set time in prop 
if scene == "Level_1" :
	owner['timeLevel1'] = owner['timeCurrent']

if scene == "Level_2" :
	owner['timeLevel2'] = owner['timeCurrent']

time = owner['timeLevel1'] + owner['timeLevel2']

# Get prop on Monolythe
damage = owner['damage']
timeLevel1 = owner['timeLevel1']
timeLevel2 = owner['timeLevel2']

# Set datas in list
datas = [ damage, timeLevel1, timeLevel2]

# Save datas in globalDict
GameLogic.globalDict["datas"] = datas

# save time in globalDict for old script Add_player.py
GameLogic.globalDict["time"] = time

# save time in globalDict for old script Add_player.py
GameLogic.globalDict["damage"] = damage
