##### linearVelocity.py
#
#  Get owner linear velocity and set prop vitesse
#
#  copy property vitesse to object with property Text
#
####################################################

# python 3
import GameLogic

# Get owner
controller = GameLogic.getCurrentController()
owner = controller.owner


# import PhysicConstraints Module
import PhysicsConstraints

# get object list
objList = GameLogic.getCurrentScene().objects

# get object named Car
objCar = objList['Car']

# get car constraint ID that was saved
carConst_ID = objCar["constraint_ID"]
print(carConst_ID)

# get the applied impulse
appliedImpulse = PhysicsConstraints.getAppliedImpulse(carConst_ID)

print(appliedImpulse)
